Skip to main content

Webhook event: Message Updated

This webhook event is sent for every message updated.
A message can be updated in the following cases:

  • status changes to "received" or "read".
  • After posting an image, to update image_url, image_thumb_url, image_width and image_height.
  • After posting a file, to update file_url and file_size.

Headers

NameValue
Secret-KeySecurity key provided by MeetingLawyers to securize server-to-server communications
Content-Typeapplication/json

Request body

Parameters

NameTypeValue
event_idIntegerEvent notification identifier
event_typeString"message_updated"
messageMessageThe message

Example

{
"event_id": 2341235,
"event_type": "message_updated",
"message": {
"from_user_id": "accec968-ec81-4af7-accb-e0e32e09fb26",
"to_user_id": "285c3d07-9b63-41e0-829f-5d51b31ffd29",
"room_id": 34625,
"message_id": "cad941bf-27f7-43a9-bb99-d618a7cc6f85",
"status": "read",
"type": "image",
"image_url": "https://ml-bucket.s3.amazonaws.com/media/4576345.png",
"image_thumb_url": "https://ml-bucket.s3.amazonaws.com/media/4576345t.png",
"image_width": "1024",
"image_height": "512",
"created_at": "2021-08-01T07:12:41"
}
}